#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t;
    cin>>t;
    for(int c=0;c<t;c++){
     long long d,a,b,k;
    cin>>a>>b;
for(k=sqrt(a);k>=1;k--){
    d=0;
    if(a%k==0){
            d=k^(a/k);
        if(d==b){
            break;
        }
    }
}
    if(d==b){
            cout<<k<<" "<<a/k<<endl;
        }
        else{
            cout<<-1<<endl;
    }
    }
}